name: gnome-logs
title: Logs
version: '45.0'
summary: A log viewer for the systemd journal
description: |
  Logs makes it easy to view and filter log messages and events.
  Filter logs by category and importance to get the information you want. Use
  the integrated search to get more relevant results.
license: GPL-3.0+
architectures:
- amd64
base: core24
assumes:
- command-chain
- snapd2.43
apps:
  gnome-logs:
    command: usr/bin/gnome-logs
    common-id: org.gnome.Logs.desktop
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - log-observe
    - network
    - home
    command-chain:
    - snap/command-chain/gpu-2404-wrapper
    - snap/command-chain/desktop-launch
confinement: strict
grade: stable
environment:
  SNAP_DESKTOP_RUNTIME: $SNAP/gnome-platform
  GTK_USE_PORTAL: '1'
  LD_LIBRARY_PATH: ${SNAP_LIBRARY_PATH}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
plugs:
  desktop:
    mount-host-font-cache: false
  gtk-3-themes:
    interface: content
    target: $SNAP/data-dir/themes
    default-provider: gtk-common-themes
  icon-themes:
    interface: content
    target: $SNAP/data-dir/icons
    default-provider: gtk-common-themes
  sound-themes:
    interface: content
    target: $SNAP/data-dir/sounds
    default-provider: gtk-common-themes
  gnome-46-2404:
    interface: content
    target: $SNAP/gnome-platform
    default-provider: gnome-46-2404
  gpu-2404:
    interface: content
    target: $SNAP/gpu-2404
    default-provider: mesa-2404
slots:
  gnome-logs:
    interface: dbus
    bus: session
    name: org.gnome.Logs
hooks:
  configure:
    command-chain:
    - snap/command-chain/hooks-configure-fonts
    plugs:
    - desktop
layout:
  /usr/lib/x86_64-linux-gnu/webkit2gtk-4.0:
    bind: $SNAP/gnome-platform/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0
  /usr/lib/x86_64-linux-gnu/webkit2gtk-4.1:
    bind: $SNAP/gnome-platform/usr/lib/x86_64-linux-gnu/webkit2gtk-4.1
  /usr/share/xml/iso-codes:
    bind: $SNAP/gnome-platform/usr/share/xml/iso-codes
  /usr/share/libdrm:
    bind: $SNAP/gpu-2404/libdrm
  /usr/share/drirc.d:
    symlink: $SNAP/gpu-2404/drirc.d
  /usr/share/X11/XErrorDB:
    symlink: $SNAP/gpu-2404/X11/XErrorDB
links:
  contact:
  - davidk@gnome.org
  donation:
  - https://www.gnome.org/donate/
  issues:
  - https://gitlab.gnome.org/GNOME/gnome-logs/issues/
  source-code:
  - https://gitlab.gnome.org/GNOME/gnome-logs/
  website:
  - https://apps.gnome.org/Logs/
